Subject: Re: bug#52411: [core-updates-frozen] kmod-29 build fails, cross-compiled for i586-pc-gnu
From: Maxim Cournoyer <[email-masked]>
To: Thiago Jung Bauermann <[email-masked]>
Cc: Maxime Devos <[email-masked]>, [email-masked], Jan Nieuwenhuizen <[email-masked]>
Date: Mon, 17 Jan 2022 12:13:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Thiago Jung Bauermann <[email-masked]> writes:

> Hello,
>
> Em sábado, 18 de dezembro de 2021, às 01:11:48 -03, Maxim Cournoyer 
> escreveu:
>> > I think I might have found the issue. The following commit made the
>> > existence/absence 'kmod' input of pciutils depend on %current-
>> > system/%current-target-system:
>> > 
>> > https://git.savannah.gnu.org/cgit/guix.git/commit/?id=22ee7209797c023b9
>> > 5e22ced156df62cbff90184
>> > 
>> > but it forgot to keep in mind that nix systems != triplets.
>> > Instead of %current-target-system, the 'current-target-nix-system'
>> > from ‘https://issues.guix.gnu.org/49672#3’ needs to be used
>> > (or the hurd-target? procedure).
>> 
>> Looking more closely, I don't see an issue with the current conditional
>> seleciting kmod?  nix systems != triplets, but in this case, the
>> conditional is seldom dealing with nix systems, it seems.  Am I missing
>> something?
>> 
>> *** time passes ... reads sources ***
>> 
>> Ah!  per (guix utils), it seems like %current-system is a nix system,
>> while %current-target-system is a GNU triplet.  Confusing!
>
> Guix’s usage of GNU triplets in some places and nix systems in others is a 
> footgun. IMHO we should choose one format and use it everywhere we can, 
> converting to the other if necessary...

Eh, indeed!  I see Maxime has written neat helpers that should mitigate
it to some extent (in guix build utils).  Thank you!

The bug at hand should now be fixed in master.

Closing.

Thanks!

Maxim